function [] = runDemo2(corArrDB, clickDBtimeMs, cntArr525, startClickNr, endClickNr)
    % Pump
    
    load 'grafikk/pump.mat';
    load 'grafikk/w1.mat';
    load 'grafikk/m1.mat';
    load 'grafikk/m2.mat';
    load 'grafikk/w2.mat';
    
    bilde = imread('grafikk/ser.jpg');  
    
    frameRate = 30;
    res = 2; % 2
    
    if res == 1
        movi = 'vidInp/oSmall.mov'; % 120:80
    else
        movi = 'vidInp/o.mov'; % 240:160
    end
    vidfileOut = VideoWriter('vidOut/testmov', 'Uncompressed AVI');  
    vidfileOut.FrameRate = frameRate;
    open(vidfileOut); % UT
    
    startSample = 525*corArrDB{startClickNr,1}/1000 + 1;
    endSample = 525*corArrDB{endClickNr,1}/1000;
    
    figure(4);clf;
    set(gcf,'Position',[100 100 1280 720],'numberTitle','off');
    fprintf(1, "\n");
    
    
    fs = 525; %44100;
    
    vidObj = VideoReader(movi); % IN
    % fs2 = 44100/speedDiv;  
    
    % Folk
    hw1 = plotPoly(Fw1, 6*Vw1+[3 3 0], 'col', 0.5*[0.3 0.3 0.3], 'edgeOff', 'backCol', 0.2*[0.1 0.1 0.1]);
    angHw1 = -90;
    hm1 = plotPoly(Fm1, 6*Vm1+[-3 3 0], 'col', 0.5*[0.3 0.3 0.3], 'edgeOff', 'backCol', 0.2*[0.1 0.1 0.1]);
    angHm1 = 10;
    hm2 = plotPoly(Fm2, 6*Vm2+[-3 -3 0], 'col', 0.5*[0.3 0.3 0.3], 'edgeOff', 'backCol', 0.2*[0.1 0.1 0.1]);
    angHm2 = -199;
    hw2 = plotPoly(Fw2, 6*Vw2+[3 -3.1 0], 'col', 0.5*[0.3 0.3 0.3], 'edgeOff', 'backCol', 0.2*[0.1 0.1 0.1]);
    angHw2 = -90;
    
    % Gulv - sjakkmønster
    [F, V] = polyQuadFloor(11, 11);
    cV = 0.1*ones(11*11, 3);
    for i = 1 : 2 : 11*11
        cV(i, :) = [0.2 0.2 0.2];
    end
    plotPoly(F, 10*V, 'dark', 'col', cV, 'backCol', 0.2*[0.1 0.1 0.1], 'edgeOff');
    
    % Soyle
    %load 'grafikk/soyle.mat';
    %plotPoly(F, 4*V+[0 0 0], 'dark', 'col', [0.8 0.8 0.8], 'edgeOff', 'backCol', [0.1 0.1 0.1]);
    
    % Agent
    [F, V] = agent3vid(0, F0, V0);
    V1 = V*2 + [0 0 6]; % + [0.8 0 6];
    %V2 = V*2 + [-0.8 0 6];

    coll = ones(size(F,1), 3) .* [0.9 0.2 0.2] ;
    coll(1:4:end, :) = coll(1:4:end, :) .* [0 0 0] + [0.8 0.8 0.8];
    ha1 = plotPoly(F, V1, 'col', coll, 'edgeOff', 'backCol', 0.2*[0.1 0.1 0.1]);
    %ha2 = plotPoly(F, V2, 'col', coll, 'edgeOff', 'backCol', 0.2*[0.1 0.1 0.1]);
    
    % Lerret
    [F, V] = polyQuadFloor(120*res, 80*res); V = 6*(rotx(90)*V')' + [0 10 6];
    V(:,2) = V(:,2) - (0.04*V(:,1).*V(:,1));
    hl = plotPoly(F, V, 'col', rand(120*80*res*res, 3), 'edgeOff', 'backCol', 0.2*[0.1 0.1 0.1]);
    
    % Bilde på vegg
    [F, V] = polyQuadFloor(212, 504); 
    V = 1*(rotx(90)*V')';
    V = 1*(rotz(90)*V')';
    V = 6*(rotx(-90)*V')'+ [-11 0 6];
    V(:,1) = V(:,1) + (0.01*V(:,2).*V(:,2));
    bilde = double(bilde)/255;
    hBil = plotPoly(F, V, 'col', rand(504*212, 3), 'edgeOff', 'backCol', 0.2*[0.1 0.1 0.1]); 
    co2 = reshape(bilde,504*212, 3); 
    set(hBil, 'FaceVertexCData', co2);
    
    vie0 = [20 12];
    view(vie0(1), vie0(2));
    axis([-6.3269    6.4031   -7.0306    5.6994    1.7398    7.4889]);
    return
    ccOld = 0;
    vieTeller = 0;
    for s = startSample : fs/frameRate : endSample % manuell intastn evt s = cl2sa(corStrArr, 64) : floor(fs/frameRate) : cl2sa(corStrArr, 75) % manuell intastn
        vieTeller = vieTeller + 1;
        ccc = findNermesteDBnedover(s, clickDBtimeMs);
        if ccc > ccOld
            set(gcf,'name',num2str(ccc));
            ccOld = ccc;
        end
        
        % Agent
        [~, V] = agent3vid(cntArr525(floor(s), 1), F0, V0);
        V1 = V*2 + [0 0 6]; % + [0.8 0 6];
        set(ha1, 'Vertices', V1);
        
        %[~, V] = agent3vid(cntArr525(floor(s), 2), F0, V0);
        %V2 = V*2 + [-0.8 0 6];
        %set(ha2, 'Vertices', V2);
        
        % Folk
        angHw1 = angHw1 + 6*(rand()-0.5); Rz = rotz(angHw1);
        Vw1r = 6*(Rz*Vw1')'+[3 3 0]; 
        bh = 1 - 0.02*cntArr525(floor(s), 1);
        Vw1r = Vw1r .* [1 1 bh];
        set(hw1, 'Vertices', Vw1r);
        
        angHm1 = angHm1 + 6*(rand()-0.5); Rz = rotz(angHm1);
        Vm1r = 6*(Rz*Vm1')'+[-3 3 0]; 
        bh = 1 - 0.01*cntArr525(floor(s), 1);
        Vm1r = Vm1r .* [1 1 bh];
        set(hm1, 'Vertices', Vm1r); 
        
        angHm2 = angHm2 + 6*(rand()-0.5); Rz = rotz(angHm2);
        Vm2r = 6*(Rz*Vm2')'+[-3 -3 0]; 
        bh = 1 - 0.01*cntArr525(floor(s), 1);
        Vm2r = Vm2r .* [1 1 bh];
        set(hm2, 'Vertices', Vm2r);
        
        angHw2 = angHw2 + 6*(rand()-0.5); Rz = rotz(angHw2);
        Vw2r = 6*(Rz*Vw2')'+[3 -3.1 0]; 
        bh = 1 + 0.01*cntArr525(floor(s), 1);
        Vw2r = Vw2r .* [1 1 bh];
        set(hw2, 'Vertices', Vw2r);
        
        
        % Video in
        vidObj.CurrentTime = floor(s)/fs;
        frame = readFrame(vidObj); frame = flipud(frame); frame = permute(frame,[2 1 3]);
        co1 = double(squeeze(reshape(frame,[], 80*120*res*res,3))); co1 = co1/max(max(co1));
        set(hl, 'FaceVertexCData', co1);
        %pause(0.1);
        
        vie(1) = vie0(1) + 6*sin(0.1*vieTeller/20); 
        vie(2) = vie0(2) + 2*sin(0.1*vieTeller/18); 
        view(vie(1), vie(2));
        axis([-6.3269    6.4031   -7.0306    5.6994    1.7398    7.4889]);
        drawnow;
        frame= getframe(gcf);
        writeVideo(vidfileOut, frame);
    end
    close(vidfileOut);
    
    fprintf(1, "\n");
    %close(4);
    %figure(1);
end

%X   ffmpeg -y -i testmov.avi -ss 0 -i mus.wav -vcodec libx265 -crf 23 -shortest output.mp4
%R   ffmpeg -y -i testmov.avi -ss 0 -i mus.wav -vcodec libx265 -crf 23 -shortest -vf vflip output.mp4





% ffmpeg -y -i Zorg.mp4 -vf scale=240:160 -c:v mjpeg -q:v 3 -an o.mov
% ffmpeg -y -i Zorg.mp4 -vf scale=120:80 -c:v mjpeg -q:v 3 -an oSmall.mov
